libetonyek::IWORKListLabelGeometryElement Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::IWORKListLabelGeometryElement Class Reference

`#include <IWORKListLabelGeometryElement.h>`

Inheritance diagram for libetonyek::IWORKListLabelGeometryElement:

## Public Member Functions
| IWORKListLabelGeometryElement (IWORKXMLParserState &state, boost::optional< IWORKListLabelGeometry > &value)
Public Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
| IWORKXMLContextBase (State &state)
template<typename T >
| IWORKXMLContextBase (State &state, const T &a)
State & | getState ()

## Private Member Functions
void | attribute (int name, const char *value) override
void | endOfElement () override

## Private Attributes
boost::optional< IWORKListLabelGeometry > & | m_value
boost::optional< double > | m_scale
boost::optional< double > | m_offset
boost::optional< bool > | m_scaleWithText

## Additional Inherited Members
Protected Member Functions inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
Collector & | getCollector () const
int | getToken (const char *const value) const
bool | isCollector () const
Protected Attributes inherited from libetonyek::IWORKXMLContextBase< Base, State, Collector >
State & | m_state

## Constructor & Destructor Documentation

## ◆ IWORKListLabelGeometryElement()

libetonyek::IWORKListLabelGeometryElement::IWORKListLabelGeometryElement | ( | IWORKXMLParserState & | state,
|  | boost::optional< IWORKListLabelGeometry > & | value
| ) |  |

## Member Function Documentation

## ◆ attribute()

void libetonyek::IWORKListLabelGeometryElement::attribute | ( | int | name,
|  | const char * | value
| ) |  |
| overrideprivate

## ◆ endOfElement()

void libetonyek::IWORKListLabelGeometryElement::endOfElement | ( |  | ) |
| overrideprivate

## Member Data Documentation

## ◆ m_offset

boost::optional<double> libetonyek::IWORKListLabelGeometryElement::m_offset
| private

Referenced by attribute(), and endOfElement().

## ◆ m_scale

boost::optional<double> libetonyek::IWORKListLabelGeometryElement::m_scale
| private

Referenced by attribute(), and endOfElement().

## ◆ m_scaleWithText

boost::optional<bool> libetonyek::IWORKListLabelGeometryElement::m_scaleWithText
| private

Referenced by attribute(), and endOfElement().

## ◆ m_value

boost::optional<IWORKListLabelGeometry>& libetonyek::IWORKListLabelGeometryElement::m_value
| private

Referenced by endOfElement().

The documentation for this class was generated from the following files:

- IWORKListLabelGeometryElement.h
- IWORKListLabelGeometryElement.cpp